Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetDeviceType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType
ru.bitel.bgbilling.modules.inet.common.bean.InetDeviceType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class InetDeviceType extends DeviceType

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType

  `MGMT_TYPE_BGRADIUS, MGMT_TYPE_OTHER, MGMT_TYPE_SNMP, MGMT_TYPE_SSH, MGMT_TYPE_TELNET`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetDeviceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConfigId()`
  `DeviceType`
  `getDeviceType()`
  `List<InetInterface>`
  `getInterfaceList()`
  `int`
  `getScriptId()`
  `boolean`
  `isUniqueInterfaces()`
  `InetDeviceType`
  `setComment(String comment)`
  `InetDeviceType`
  `setConfig(String config)`
  `InetDeviceType`
  `setConfigId(int configId)`
  `InetDeviceType`
  `setDeviceEntitySpecId(int deviceEntitySpecId)`
  `InetDeviceType`
  `setDeviceManagerClass(String deviceManagerClass)`
  `InetDeviceType`
  `setDeviceType(DeviceType deviceType)`
  `InetDeviceType`
  `setId(int id)`
  Устанавливает id объекта
  `InetDeviceType`
  `setInterfaceList(List<InetInterface> ifaceList)`
  `InetDeviceType`
  `setProtocolHandlerClass(String protocolHandlerClass)`
  `InetDeviceType`
  `setSaHandlerClass(String saHandlerClass)`
  `InetDeviceType`
  `setScriptId(int scriptId)`
  `InetDeviceType`
  `setSource(boolean source)`
  `InetDeviceType`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `InetDeviceType`
  `setUniqueInterfaces(boolean uniqueInterfaces)`

  ### Methods inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType

  `getActiveConfigId, getComment, getConfig, getDeviceEntitySpecId, getDeviceManagerClass, getManagmentType, getProtocolHandlerClass, getSaHandlerClass, getServiceActivationType, isSource, setActiveConfigId, setManagmentType, setServiceActivationType`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### InetDeviceType

    public InetDeviceType()

- ## Method Details

  - ### getConfigId

    public int getConfigId()

  - ### getDeviceType

    public DeviceType getDeviceType()

  - ### getInterfaceList

    public List<InetInterface> getInterfaceList()

  - ### getScriptId

    public int getScriptId()

  - ### isUniqueInterfaces

    public boolean isUniqueInterfaces()

  - ### setConfigId

    public InetDeviceType setConfigId(int configId)

  - ### setDeviceType

    public InetDeviceType setDeviceType(DeviceType deviceType)

  - ### setId

    public InetDeviceType setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setInterfaceList

    public InetDeviceType setInterfaceList(List<InetInterface> ifaceList)

  - ### setScriptId

    public InetDeviceType setScriptId(int scriptId)

  - ### setTitle

    public InetDeviceType setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setUniqueInterfaces

    public InetDeviceType setUniqueInterfaces(boolean uniqueInterfaces)

  - ### setDeviceEntitySpecId

    public InetDeviceType setDeviceEntitySpecId(int deviceEntitySpecId)
    Overrides:
      `setDeviceEntitySpecId` in class `DeviceType`

  - ### setComment

    public InetDeviceType setComment(String comment)
    Overrides:
      `setComment` in class `DeviceType`

  - ### setSaHandlerClass

    public InetDeviceType setSaHandlerClass(String saHandlerClass)
    Overrides:
      `setSaHandlerClass` in class `DeviceType`

  - ### setProtocolHandlerClass

    public InetDeviceType setProtocolHandlerClass(String protocolHandlerClass)
    Overrides:
      `setProtocolHandlerClass` in class `DeviceType`

  - ### setDeviceManagerClass

    public InetDeviceType setDeviceManagerClass(String deviceManagerClass)
    Overrides:
      `setDeviceManagerClass` in class `DeviceType`

  - ### setConfig

    public InetDeviceType setConfig(String config)
    Overrides:
      `setConfig` in class `DeviceType`

  - ### setSource

    public InetDeviceType setSource(boolean source)
    Overrides:
      `setSource` in class `DeviceType`